## cinder 12.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
cinder (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:14:30 -0500

cinder (2:12.0.0~rc2-0ubuntu2) bionic; urgency=medium

  * d/p/log-config-options-with-oslo.config.patch: Cherry-picked patch
    from upsream stable/queens branch to fix TypeError failure in
    cinder/service.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Feb 2018 15:11:53 -0500

cinder (2:12.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:06:49 -0500

cinder (2:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * d/control: Add python-defusedxml to (Build-)Depends.
  * d/cinder-common.install: Drop install of policy.json.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 10:09:02 +0000

cinder (2:12.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/cinder-common.postinst: Use reserved uid/gid for cinder user/group,
    ensuring consistency across deployments (LP: #1657202).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 15:22:10 +0000

cinder (2:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/rules: Switch back to ostestr for unit test execution.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 11:43:44 +0000

cinder (2:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control, d/rules: Switch from ostestr to stestr as upstream has to run
    unit tests. Also drop blacklist as the corresponding bug is now fixed.
  * d/cinder-common.install, cinder-volume.install: Adjust paths for
    config file install sources.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 12:47:46 -0500

cinder (2:11.0.0-0ubuntu3) bionic; urgency=medium

  * d/control: Move apache dependencies to cinder-api binary package
    (LP: #1728754).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Oct 2017 09:33:45 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-castellan (>= 0.14.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-ddt (>= 1.0.1),
 python-decorator (>= 3.4.0),
 python-defusedxml (>= 0.5.0),
 python-enum34,
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-googleapi (>= 1.4.2),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-ipaddress (>= 1.0.16),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-novaclient (>= 2:9.1.0),
 python-oauth2client (>= 1.5.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.0.0),
 python-os-brick (>= 2.1.1),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslo.vmware (>= 2.17.0),
 python-oslotest (>= 1.10.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-prettytable (>= 0.7.1),
 python-psycopg2 (>= 2.5),
 python-pymysql (>= 0.7.6),
 python-pyparsing (>= 2.0.7),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-rtslib-fb (>= 2.1.43),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-suds (>= 0.6),
 python-swiftclient (>= 1:3.2.0),
 python-taskflow (>= 2.7.0),
 python-tempest (>= 1:16.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
Standards-Version: 4.1.2
Homepage: http://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
XS-Testsuite: autopkgtest

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 cinder-common (= ${binary:Version}),
 libapache2-mod-wsgi,
 ${misc:Depends},
 ${python:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 python-cinder (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${misc:Recommends},
Provides:
 ${python:Provides},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Replaces:
 cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python-cinder
Section: python
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-castellan (>= 0.14.0),
 python-cryptography (>= 1.9),
 python-decorator (>= 3.4.0),
 python-defusedxml (>= 0.5.0),
 python-enum34,
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-greenlet (>= 0.4.10),
 python-httplib2 (>= 0.9.1),
 python-ipaddress (>= 1.0.16),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-novaclient (>= 2:9.1.0),
 python-os-brick (>= 2.1.1),
 python-os-win (>= 2.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslo.vmware (>= 2.15.0),
 python-osprofiler (>= 1.3.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-prettytable (>= 0.7.1),
 python-pyparsing (>= 2.0.7),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-suds,
 python-swiftclient (>= 1:3.2.0),
 python-taskflow (>= 1.26.0),
 python-tooz (>= 1.58.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ceph,
 python-googleapi (>= 1.4.2),
 python-hp3parclient,
 python-oauth2client (>= 1.5.0),
 python-rtslib-fb,
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd,apache2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/cinder/ cinder-(12\.\d.*)\.tar\.gz

## cinder 12.0.0%7eb1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
decorator>=3.4.0 # BSD
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
httplib2>=0.9.1 # MIT
iso8601>=0.1.11 # MIT
ipaddress>=1.0.16;python_version<'3.3' # PSF
keystoneauth1>=3.2.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config>=4.6.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
psutil>=3.2.2 # BSD
pyparsing>=2.1.0 # MIT
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
taskflow>=2.7.0 # Apache-2.0
rtslib-fb!=2.1.60,!=2.1.61,>=2.1.43 # Apache-2.0
simplejson>=3.5.1 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
os-brick>=1.15.2 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.14.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0

## cinder 12.0.1

=== debian/changelog ===
cinder (2:12.0.1-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * Add some deletion of files to dh_clean
  * Add fix-sqlite3-migration-tests.patch
  * Allow run all tests 
  * Add fix-netapp-unit-tests.patch
  * Add fix-qnap-unit-tests.patch 
  * Add fix-dell-emc-unit-tests.patch
  * Add fix-backup-validation-unit-tests.patch 
  * Add fix-hpe3parfcdriver-unit-tests.patch
  * Add disable-unit-tests-bug-1715915.patch

  [ Thomas Goirand ]
  * Pipe tests to subunit2pyunit.
  * Add fix-rbd-driver-for-python3.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 12:02:25 +0200

cinder (2:12.0.0-4) UNRELEASED; urgency=medium

  * Switch back to using eventlet instead of uwsgi, as it crashes
    puppet-openstack when doing "openstack volume type set".

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Apr 2018 09:01:26 +0200

cinder (2:12.0.0-3) unstable; urgency=medium

  * Using unified postrm from openstack-pkg-tools >= 74~.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:21:45 +0000

cinder (2:12.0.0-2) unstable; urgency=medium

  * Added thin-provisioning-tools as runtime depends for cinder-common.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 15:56:04 +0000

cinder (2:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ debconf templates.
  * Switched Cinder to uwsgi.
  * Add Build-Profiles: <!nodoc> for the -doc package.
  * Downgrade python3-ceph to Recommends: until Ceph Lumiuous version is
    uploaded with Python 3 support.
  * Also downgrade python3-hp3parclient as recommends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Mar 2018 23:01:40 +0000

cinder (2:12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist tests failing in Stretch backport:
    - test_instorage_initialize_iscsi_connection_multipath (wrong ordering).
    - VMAXCommonReplicationTest.test_failover_legacy_volume (wrong IP addr).
    - TestHPE3PARFCDriver.test_create_modify_host not (not deterministic).
  * Call stestr directly, do not use pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 21:13:30 +0000

cinder (2:12.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Generate policy.yaml using oslo-policy-generator.
  * Switch package to Python 3.
  * Blacklist qnap and netapp tests, as they fail in Python 3.
  * Blacklist 3 other failing tests under Python 3:
    - test_restore_backup_with_body_KeyError()
    - test_vmax.VMAXCommonReplicationTest\.test_replicate_group()
  * Standards-Version is now 4.1.3.
  * Add patch for fixing some python2 sheebang to python 3.
  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:37:20 +0000

cinder (2:11.0.0-7) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Remove obsolete Build-Depends: dh-systemd.
  * Remove unused patches at debian/patches/
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:42:35 +0000

cinder (2:11.0.0-6) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 61~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2017 08:41:37 +0000

cinder (2:11.0.0-5) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 60~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 21:22:08 +0000

cinder (2:11.0.0-4) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 59~, to make sure we're using allocated
    UID/GID from #884178.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 23:23:24 +0000

cinder (2:11.0.0-3) unstable; urgency=medium

  * Also register volumev3 / cinderv3 API endpoint.
  * Rebuilt with openstack-pkg-tools >= 56.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Nov 2017 14:44:16 +0100

cinder (2:11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #875751).
  * Updated pt.po (Closes: #876169).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:16:42 +0000

cinder (2:11.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless patches.
  * Fixed oslo-config-generator namespaces in debian/rules.
  * Wrap cinder.conf on 140 chars.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 23:39:49 +0200

cinder (2:9.0.0~b2-2) experimental; urgency=medium

  * Team upload.
  * Added python-pep8 to build depends (Closes: #834275)

 -- Ondřej Nový <onovy@debian.org>  Sun, 14 Aug 2016 15:59:27 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit (>= 0.13.2),
 git,
 python3-babel,
 python3-barbicanclient,
 python3-castellan (>= 0.16.0),
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.4),
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-googleapi (>= 1.4.2),
 python3-greenlet,
 python3-hacking (>= 0.10.0),
 python3-httplib2,
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-migrate (>= 0.11.0),
 python3-mock,
 python3-mysqldb,
 python3-novaclient (>= 2:9.1.0),
 python3-oauth2client,
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.2.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.28.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pyparsing,
 python3-requests (>= 2.14.2),
 python3-retrying,
 python3-routes,
 python3-rtslib-fb (>= 2.1.43),
 python3-simplejson,
 python3-six (>= 1.9.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 thin-provisioning-tools,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-cinder (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python:Provides},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-barbicanclient,
 python3-castellan (>= 0.16.0),
 python3-cryptography (>= 1.9),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.4),
 python3-glanceclient (>= 1:2.8.0),
 python3-googleapi (>= 1.4.2),
 python3-greenlet,
 python3-httplib2,
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-migrate (>= 0.11.0),
 python3-mysqldb,
 python3-novaclient (>= 2:9.1.0),
 python3-oauth2client,
 python3-os-brick (>= 2.2.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.28.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pyparsing,
 python3-requests (>= 2.14.2),
 python3-retrying,
 python3-routes,
 python3-rtslib-fb (>= 2.1.43),
 python3-simplejson,
 python3-six (>= 1.9.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-tooz (>= 1.58.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python3-stestr run  | subunit2pyunit ; \
	done
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/policy.json \
		--format json \
		--namespace cinder

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 12.0.5

=== debian/changelog ===
cinder (2:12.0.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1818069).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 06 Mar 2019 10:23:08 +0100

cinder (2:12.0.4-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:16:09 -0500

cinder (2:12.0.3-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1778747).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 11:54:20 -0400

cinder (2:12.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream version.
  * d/p/log-config-options-with-oslo.config.patch: Dropped. Fixed in
    new upstream version.
  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:12:35 -0400

## cinder 12.0.9

=== debian/changelog ===
cinder (2:12.0.9-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1848302).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Oct 2019 14:29:27 -0400

cinder (2:12.0.7-0ubuntu2) bionic; urgency=medium

  * d/cinder-common.install: Install of resource_filters.json.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 04 Jul 2019 11:47:37 +0200

cinder (2:12.0.7-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1830341).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 24 May 2019 10:58:33 +0200
